Subject: bug#11511: Input method of emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 07 Sep 2021 19:40:10 +0200

[email-masked] writes:

> maybe i should provide more information 
>
> in some case the xim failure to work
>
> the ime tigger C-<SPC>  will still remain the set mark function
> if we unset it then C-<SPC> will be not defined 
> however the ime is work fine with other gtk apps with the tigger c-<SPC>
> when you try ibus without ibus.el 
> i believe you will encounter this problem

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not quite sure I understand the issue here -- there's plenty of
people who use Emacs with XIM.  Are you still seeing these issues in
recent Emacs versions?  If so, can you give a recipe, starting from
"emacs -Q" that reproduces the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no